# -*- coding: utf-8; mode: rpm-spec -*-

%define cname terminus
%define version 4.14
%define fontsdir %_datadir/fonts/default/Bitmap-terminus
%define cfontsdir %_libdir/kbd/consolefonts

Name: %cname-fonts-bitmap
Version: %version
Release: alt1
Summary: Terminus Font - a clean fixed width font
Summary(ru_RU.UTF-8): Шрифт Terminus - растровый моноширинный шрифт
License: GPL
Group: System/Fonts/X11 bitmap
URL: http://www.is-vn.bg/hamster/jimmy-en.html
BuildArch: noarch

Source0: %cname-font-%version.tar.gz
Source1: %cname-FAQ

Provides: terminus-font = %version-%release

PreReq: chkfontpath fontconfig
Requires: chkfontpath >= 1.4.1

# Automatically added by buildreq on Tue Oct 19 2004
BuildRequires: freetype2 xorg-x11-font-utils xorg-x11-libs

%description
Terminus Font is designed for long (8 and more hours per day) work with
computers. Version 4.14 contains 603 characters, covering code pages
ISO8859-1/2/5/9/13/15/16, Windows-1250/1251/1252/1254/1257,
IBM-437/852/855/866, KOI8-R/U/E/F, Bulgarian-MIK, Paratype-PT154/PT254,
Macintosh-Ukrainian and Esperanto, and also the vt100 and xterm
pseudographic characters.
The sizes present are 6x12, 8x14, 8x16, 10x20, 12x24, 14x28 and 16x32.
The styles are normal and bold (except for 6x12), plus EGA/VGA-bold for
8x14 and 8x16.
This package contains Terminus Font for X Window System.

%description -l ru_RU.UTF-8
Шрифт Terminus разработан для длительной (8 часов и более) работы с
компьютером. Версия 4.14 содержит 603 символа, полностью охватывая
кодовые страницы ISO8859-1/2/5/9/13/15/16,
Windows-1250/1251/1252/1254/1257, IBM-437/852/855/866, KOI8-R/U/E/F,
Bulgarian-MIK, Paratype-PT154/PT254, Macintosh-Ukrainian и Esperanto, а
также псевдографические символы vt100 и xterm.
Представлены размеры 6x12, 8x14, 8x16, 10x20, 12x24, 14x28 и 16x32,
обычный и жирный шрифт (для размера 6x12 - только обычный), и жирный
шрифт для EGA/VGA размером 8x14 и 8x16.
Этот пакет содержит шрифт Terminus для X Window.


%package -n %cname-fonts-console
Summary: Terminus Font - a clean font for console
Summary(ru_RU.UTF-8): Шрифт Terminus для консоли
Group: System/Fonts/Console

%description -n %cname-fonts-console
Terminus Font is designed for long (8 and more hours per day) work with
computers. Version 4.14 contains 603 characters, covering code pages
ISO8859-1/2/5/9/13/15/16, Windows-1250/1251/1252/1254/1257,
IBM-437/852/855/866, KOI8-R/U/E/F, Bulgarian-MIK, Paratype-PT154/PT254,
Macintosh-Ukrainian and Esperanto, and also the vt100 and xterm
pseudographic characters.
The sizes present are 6x12, 8x14, 8x16, 10x20, 12x24, 14x28 and 16x32.
The styles are normal and bold (except for 6x12), plus EGA/VGA-bold for
8x14 and 8x16.
This package contains Terminus Font for Linux console.

%description -l ru_RU.UTF-8 -n %cname-fonts-console
Шрифт Terminus разработан для длительной (8 часов и более) работы с
компьютером. Версия 4.14 содержит 603 символа, полностью охватывая
кодовые страницы ISO8859-1/2/5/9/13/15/16,
Windows-1250/1251/1252/1254/1257, IBM-437/852/855/866, KOI8-R/U/E/F,
Bulgarian-MIK, Paratype-PT154/PT254, Macintosh-Ukrainian и Esperanto, а
также псевдографические символы vt100 и xterm.
Представлены размеры 6x12, 8x14, 8x16, 10x20, 12x24, 14x28 и 16x32,
обычный и жирный шрифт (для размера 6x12 - только обычный), и жирный
шрифт для EGA/VGA размером 8x14 и 8x16.
Этот пакет содержит шрифт Terminus для консоли Linux.


%prep
%setup -q -n %cname-font-%version


%build
./configure --psfdir=$RPM_BUILD_ROOT%cfontsdir \
	    --x11dir=$RPM_BUILD_ROOT%fontsdir
make


%install
%__mkdir -p $RPM_BUILD_ROOT%fontsdir
%__mkdir -p $RPM_BUILD_ROOT%cfontsdir
%__cp %SOURCE1 FAQ
make install
make fontdir
touch $RPM_BUILD_ROOT%fontsdir/fonts.cache-1


%post
%_bindir/fc-cache %fontsdir ||:
%_sbindir/chkfontpath -q --add %fontsdir ||:


%postun
if [ "$1" = "0" ]; then
	%_sbindir/chkfontpath -q --remove %fontsdir ||:
fi


%files
%doc README
%doc README-BG
%doc FAQ
%dir %fontsdir
%fontsdir/*.pcf.gz
%fontsdir/fonts.dir
%ghost %fontsdir/fonts.cache-1


%files -n %cname-fonts-console
%doc README
%doc README-BG
%cfontsdir/*.psf.gz


%changelog
* Wed Jun 01 2005 Eugene Vlasov <eugvv@altlinux.ru> 4.14-alt1
- New version
- Fixed several characters; small fixes
- Added FAQ from author personal page

* Thu Mar 10 2005 Eugene Vlasov <eugvv@altlinux.ru> 4.12-alt1
- New version
- Added several characters and fixed a few existing ones

* Tue Oct 19 2004 Eugene Vlasov <eugvv@altlinux.ru> 4.11-alt2
- Fixed BuildRequires

* Sat Oct 16 2004 Eugene Vlasov <eugvv@altlinux.ru> 4.11-alt1
- New version
- Added size 6x12 and codepage KOI8-U
- Improved 14x24 bold (about 60 characters) and Euro

* Sun Aug 08 2004 Eugene Vlasov <eugvv@altlinux.ru> 4.09-alt1
- First build for Sisyphus

